Subject: Re: Passive OS fingerprint xtables match.

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 13 Feb 2009 17:22:04 +0300

On Fri, Feb 13, 2009 at 02:51:48PM +0100, Jan Engelhardt ([email-masked]) wrote:
> >> config NETFILTER_XT_MATCH_COMMENT
> >>         tristate  '"comment" match support'
> >>         depends on NETFILTER_ADVANCED
> >>         ---help---
> >
> >But I placed OSF into net/ipv4/netfilter/ipt_osf.c, should it be moved
> >into different location?
> 
> That would be preferable -> net/netfilter/xt_osf.c.

Ok, I will move it there.

> >> >proper offset (modulo of the option size).
> >> 
> >> What if optp is odd?
> >
> >It cant, header is fixed and every option length is also fixed (and its
> >size is checked).
> 
> This RFC-compliant ("An option may begin on any octet boundary.")
> option byte stream seems to produce an odd optp value:
> 
> 01 02 04 05 a0 00
> 
> or where did I go wrong?

OSF checks only MSS and timestamp options.

-- 
	Evgeniy Polyakov